 /**
 * <p>Qualitaets- und UnterstuetzungsAgentur - Landesinstitut fuer Schule, Materialien zum schulinternen Lehrplan Informatik SII</p>
 *
 * @version 2014-03-13
 */

import java.awt.*;
import java.awt.event.*;


public class MorseCodierer_GUI extends Frame {
  // Anfang Attribute
  private TextArea textArea1 = new TextArea("", 1, 1, TextArea.SCROLLBARS_VERTICAL_ONLY);
  private TextArea textArea2 = new TextArea("", 1, 1, TextArea.SCROLLBARS_VERTICAL_ONLY);
  private Button button1 = new Button();
  private Button button2 = new Button();
  private Button button3 = new Button();
  private Button button4 = new Button();
  private Button button5 = new Button();
  // Ende Attribute
  private Morsecodierer codierer=new Morsecodierer();
  

  public MorseCodierer_GUI(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { dispose(); }    //  statt dispose()
    });
    int frameWidth = 602;
    int frameHeight = 294;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Panel cp = new Panel(null);
    add(cp);
    // Anfang Komponenten

    textArea1.setBounds(16, 16, 377, 89);
    textArea1.setText("(Strings)");
    textArea1.setFont(new Font("Courier", Font.PLAIN, 13));
    cp.add(textArea1);
    textArea2.setBounds(16, 144, 377, 89);
    textArea2.setText("(Strings)");
    textArea2.setFont(new Font("Courier", Font.PLAIN, 13));
    cp.add(textArea2);
    button1.setBounds(16, 112, 147, 25);
    button1.setLabel("encodieren v");
    button1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        button1_ActionPerformed(evt);
      }
    });
    button1.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(button1);
    button2.setBounds(232, 112, 163, 25);
    button2.setLabel("decodieren ^");
    button2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        button2_ActionPerformed(evt);
      }
    });
    button2.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(button2);
    button3.setBounds(408, 16, 147, 25);
    button3.setLabel("< loeschen");
    button3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        button3_ActionPerformed(evt);
      }
    });
    button3.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(button3);
    button4.setBounds(416, 144, 139, 25);
    button4.setLabel("< loeschen");
    button4.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        button4_ActionPerformed(evt);
      }
    });
    button4.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(button4);
    button5.setBounds(416, 208, 139, 25);
    button5.setLabel("zeige Morsebaum");
    button5.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        button5_ActionPerformed(evt);
      }
    });
    cp.add(button5);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
    textArea1.setText("");
    textArea2.setText("");
  }

  // Anfang Methoden
  public void button1_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    textArea2.setText(codierer.encodiereText(textArea1.getText()));
                               //  BaumZeichner
  }

  public void button2_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    textArea1.setText(codierer.decodiereText(textArea2.getText()));
  }

  public void button3_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    textArea1.setText("");
  }

  public void button4_ActionPerformed(ActionEvent evt) {
    // TODO hier Quelltext einfgen
    textArea2.setText("");
  }

  public void button5_ActionPerformed(ActionEvent evt) {
    BaumZeichner zeichner = new BaumZeichner(600,400, codierer.gibBaum());
  } // end of button5_ActionPerformed

  // Ende Methoden

  public static void main(String[] args) {
    new MorseCodierer_GUI("MorseCodierer_GUI");
  }
}
